﻿using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace Metrics
{
    public partial class MetricsPage : ContentPage
    {
        public MetricsPage()
        {
            InitializeComponent();
            ((SfChart)RangeNavigator.Content).Series.Clear();
            ((SfChart)RangeNavigator.Content).Series.Add(new SplineAreaSeries() { ItemsSource = series.ItemsSource, XBindingPath = "XValue", YBindingPath = "YValue" });

            if (Device.OS == TargetPlatform.Android)
            {
                RangeNavigator.HeightRequest = 150;
            }
            else if (Device.OS == TargetPlatform.iOS)
            {
                RangeNavigator.HeightRequest = 100;
            }
        }
        void nac_RangeChanged(object sender, Syncfusion.RangeNavigator.XForms.RangeChangedEventArgs e)
        {
            dateTimeAxis.Minimum = e.ViewRangeStartDate;
            dateTimeAxis.Maximum = e.ViewRangeEndDate;
        }
    }
}
